List workspace members
curl --request GET \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/members \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"email": "jsmith@example.com",
"displayName": "<string>",
"roleTemplate": {
"key": "<string>",
"displayName": "<string>",
"kind": "system",
"capabilities": [
"<string>"
],
"capabilityGroups": [
{
"key": "workspace",
"capabilities": [
"<string>"
],
"sortOrder": 123
}
],
"protected": true,
"sortOrder": 123,
"description": "<string>"
},
"joinedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Workspaces and members
List workspace members
List workspace members
curl --request GET \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/members \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"email": "jsmith@example.com",
"displayName": "<string>",
"roleTemplate": {
"key": "<string>",
"displayName": "<string>",
"kind": "system",
"capabilities": [
"<string>"
],
"capabilityGroups": [
{
"key": "workspace",
"capabilities": [
"<string>"
],
"sortOrder": 123
}
],
"protected": true,
"sortOrder": 123,
"description": "<string>"
},
"joinedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Path Parameters
Example:
"4b930d98-add9-4924-ab26-3c16d96ec373"
Query Parameters
Required range:
1 <= x <= 100Deployment-supported workspace role key. Built-ins are owner, admin, operator, viewer, and auditor; custom roles are lowercase snake_case.
Pattern:
^[a-z][a-z0-9]*(?:_[a-z0-9]+)*$Available options:
oidc, internal